#
# spec file for package python-suds-jurko
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-suds-jurko
Version:        0.6
Release:        3.3
Summary:        Lightweight SOAP client (Jurko's fork)
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            http://bitbucket.org/jurko/suds
Source:         https://pypi.python.org/packages/source/s/suds-jurko/suds-jurko-%{version}.tar.bz2
BuildRequires:  openstack-suse-macros
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xml
#its a lie, but lets make this pass..
Provides:       python-suds = %{version}
Obsoletes:      python-suds < %{version}
# Test requirements
BuildRequires:  python-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is hopefully just a temporary fork of the original suds Python
library project created because the original project development seems
to have stalled. Should be reintegrated back into the original project
if it ever gets revived again.

%prep
%setup -q -n suds-jurko-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}
# remove tests/ dir from global site-packages
rm -rf %{buildroot}/%{python_sitelib}/tests

%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Wed Oct 14 2015 tbechtold@suse.com
- Don't install tests/ dir into site-packages.
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Sat May 16 2015 dmueller@suse.com
- Initial package (0.6)
